log4cplus::thread::SignalsBlocker Class Reference

This class blocks all POSIX signals when created and unblocks them when destroyed. More...

`#include <threads.h>`

## Public Member Functions

| SignalsBlocker ()
| ~SignalsBlocker ()

## Detailed Description

This class blocks all POSIX signals when created and unblocks them when destroyed.

Definition at line 54 of file threads.h.

## Constructor & Destructor Documentation

## SignalsBlocker()

log4cplus::thread::SignalsBlocker::SignalsBlocker | ( |  | ) |

## ~SignalsBlocker()

log4cplus::thread::SignalsBlocker::~SignalsBlocker | ( |  | ) |

The documentation for this class was generated from the following file:

- threads.h